Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5272)
@@ -47,4 +47,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -52,5 +54,5 @@
 ! Local variables:
 
-  include "paramet.h"
+
   include "comgeom2.h"
   include "iniprint.h"
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5272)
@@ -42,4 +42,6 @@
   
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -49,5 +51,5 @@
   include "iniprint.h"
 
-  include "paramet.h"
+
   include "comgeom2.h"
   include "comdissnew.h"
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5272)
@@ -54,9 +54,10 @@
   USE comconst_mod, ONLY: pi, dtvr
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   PRIVATE
   PUBLIC :: etat0phys_netcdf
 
   include "iniprint.h"
-  include "paramet.h"
   include "comgeom2.h"
   include "dimsoil.h"
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5272)
@@ -43,4 +43,6 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -51,5 +53,5 @@
 
 
-  include "paramet.h"
+
   include "iniprint.h"
   include "tracstoke.h"
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90	(revision 5271)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90	(revision 5272)
@@ -13,4 +13,6 @@
   USE surface_data,       ONLY: landice_opt
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 
   CHARACTER(LEN=256), PARAMETER :: icefname="landiceref.nc", icevar="landice"
@@ -18,5 +20,4 @@
   PUBLIC :: start_init_subsurf
   include "iniprint.h"
-  include "paramet.h"
   include "comgeom2.h"
 
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5271)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5272)
@@ -82,4 +82,6 @@
   USE lmdz_cppkeys_wrapper, ONLY: nf90_format
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 !-------------------------------------------------------------------------------
@@ -87,5 +89,5 @@
   include "iniprint.h"
 
-  include "paramet.h"
+
   REAL, DIMENSION(iip1,jjp1), INTENT(INOUT) :: masque ! land mask
   REAL, DIMENSION(iip1,jjp1), INTENT(INOUT) :: phis   ! ground geopotential
@@ -332,7 +334,9 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-  include "paramet.h"
+
   include "comgeom2.h"
 !-----------------------------------------------------------------------------
